<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: gui/widgets/UserBooksWidget/UserBooksWidget.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_user_books_widget_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">UserBooksWidget.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#ifndef LIBRARYMGR_USERBOOKSWIDGET_H</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#define LIBRARYMGR_USERBOOKSWIDGET_H</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QWidget&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QGridLayout&gt;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QGroupBox&gt;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QPushButton&gt;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QToolBox&gt;</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QLabel&gt;</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QLineEdit&gt;</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QListWidget&gt;</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QTableWidget&gt;</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#include &quot;../../../gui/dialogs/BookManagerDialog/BookManagerDialog.h&quot;</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#include &quot;../../../models/Article/Book/Book.h&quot;</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="class_user_books_widget.html">   42</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_user_books_widget.html">UserBooksWidget</a> : <span class="keyword">public</span> QWidget {</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;Q_OBJECT</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    <a class="code" href="class_user_books_widget.html#ad560dbd0a8943e6a691c400259e05da1">UserBooksWidget</a>(QWidget *parent = 0);</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="keyword">public</span> slots:</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_books_widget.html#a2056ae2f953de01d7121958ebbdf213a">openBookDetailsDialog</a>(QListWidgetItem *i);</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_books_widget.html#abcca830f4b93a8041e341bd4c968bc81">searchBook</a>();</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_books_widget.html#a29a91260696bb515d9ea5e86298c97ee">getSearchBookRequestResult</a>(std::vector&lt;Book&gt; books);</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_books_widget.html#a5df9e11a3816c8d47773ac840208a975">getWishlistRequestResult</a>(std::vector&lt;Book&gt; books);</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_books_widget.html#a9c40eb7f74e36ed66913746b961b6181">getLoansRequestResult</a>(std::vector&lt;Book&gt; books);</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_books_widget.html#a2e3616dce32fae1ae33d045f8dcae96b">getAddBookToWishlistRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_books_widget.html#aa4c58e7b93127fc7c81b52139c6f6cdc">getRemoveBookFromWishlistRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_books_widget.html#ad248f782ffd541b2fabad580bebd08b9">getReserveBookRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_books_widget.html#aaa93429f9e3cb20b2d7db337a3f3041b">getReturnBookRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;signals:</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;    <span class="comment">// requests</span></div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_books_widget.html#a9598ae508fd09bff774ece9ac1d0c9b9">sendDetailsAboutBookRequest</a>(QString isbn);</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_books_widget.html#a2ec494173d4e884427c92fb819470134">sendSearchBookRequest</a>(QString <span class="keywordtype">id</span>, QString title);</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_books_widget.html#ae798d9d61bfb6aa9f59f91ed7d9dcf5f">sendWishlistRequest</a>();</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_books_widget.html#adb164b67074c2247546e4412a3a9e458">sendLoansRequest</a>();</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_books_widget.html#a72b1774daba211095958aa58d6741610">sendAddBookToWishlistRequest</a>(<a class="code" href="class_book.html">Book</a> book);</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_books_widget.html#ab99cbf4fcc12add9ab59a81728fa515f">sendRemoveBookFromWishlistRequest</a>(<a class="code" href="class_book.html">Book</a> book);</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_books_widget.html#a23fb6ce0abc52a2c585aec974e29afe5">sendReserveBookRequest</a>(<a class="code" href="class_book.html">Book</a> book);</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_books_widget.html#a032103cfe69258a9b14b274738916799">sendReturnBookRequest</a>(<a class="code" href="class_book.html">Book</a> book);</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;    <span class="comment">// results</span></div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;</div><div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_books_widget.html#a3b5920c41a062c9d61196a8208393df3">sendDetailsAboutBookRequestResult</a>(<a class="code" href="class_book.html">Book</a> book, <span class="keywordtype">bool</span> isReservedByUser, <span class="keywordtype">bool</span> isInUserWishlist);</div><div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;</div><div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_books_widget.html#ae9acd4f6fba02ded1213e0b7573a43df">sendReserveBookRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;</div><div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_books_widget.html#a13b44bb3472a24a6e48a95da1c6f23ec">sendReturnBookRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;</div><div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_books_widget.html#a816b477d3c34d37101521d7a9974698a">sendAddBookToWishlistRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;</div><div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_books_widget.html#a498738f7818ead6f90289f43e2fba110">sendRemoveBookFromWishlistRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;</div><div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;    <span class="comment">// search box</span></div><div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;    QGroupBox *searchBoxArea;  <span class="comment">// layout</span></div><div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;    QLineEdit *findByIdInput;</div><div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;    QLineEdit *findByNameInput;</div><div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;    QPushButton *searchButton;</div><div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;    QListWidget *searchListWidget;  <span class="comment">// list with found items</span></div><div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;</div><div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;    <span class="comment">// wishList box</span></div><div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;    QGroupBox *wishListBoxArea;  <span class="comment">// layout</span></div><div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;    QListWidget *wishListWidget;  <span class="comment">// list with favorite books</span></div><div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;</div><div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;    <span class="comment">// loans table</span></div><div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;    QGroupBox *loansBoxArea;  <span class="comment">// layout</span></div><div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;    QListWidget *loansTable;  <span class="comment">// table that contains previous books loans</span></div><div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;</div><div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;    <a class="code" href="class_book_manager_dialog.html">BookManagerDialog</a> *bookDetailsDialog;</div><div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;</div><div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;    <span class="keywordtype">void</span> setup();</div><div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;</div><div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;    <span class="keywordtype">void</span> connectSignalsSlots();</div><div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;</div><div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;    <span class="keywordtype">void</span> setupSearchBox();</div><div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;</div><div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;    <span class="keywordtype">void</span> setupWishListBox();</div><div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;</div><div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;    <span class="keywordtype">void</span> setupLoansTable();</div><div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;</div><div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160;    <span class="keywordtype">void</span> populateSearchBox(std::vector&lt;Book&gt; books);</div><div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;</div><div class="line"><a name="l00245"></a><span class="lineno">  245</span>&#160;    <span class="keywordtype">void</span> populateWishlistBox(std::vector&lt;Book&gt; books);</div><div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;</div><div class="line"><a name="l00251"></a><span class="lineno">  251</span>&#160;    <span class="keywordtype">void</span> populateLoansBox(std::vector&lt;Book&gt; books);</div><div class="line"><a name="l00252"></a><span class="lineno">  252</span>&#160;};</div><div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160;</div><div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160;</div><div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;<span class="preprocessor">#endif //LIBRARYMGR_USERBOOKSWIDGET_H</span></div><div class="ttc" id="class_user_books_widget_html_ab99cbf4fcc12add9ab59a81728fa515f"><div class="ttname"><a href="class_user_books_widget.html#ab99cbf4fcc12add9ab59a81728fa515f">UserBooksWidget::sendRemoveBookFromWishlistRequest</a></div><div class="ttdeci">void sendRemoveBookFromWishlistRequest(Book book)</div></div>
<div class="ttc" id="class_user_books_widget_html_aaa93429f9e3cb20b2d7db337a3f3041b"><div class="ttname"><a href="class_user_books_widget.html#aaa93429f9e3cb20b2d7db337a3f3041b">UserBooksWidget::getReturnBookRequestResult</a></div><div class="ttdeci">void getReturnBookRequestResult(bool ok)</div><div class="ttdef"><b>Definition:</b> UserBooksWidget.cpp:211</div></div>
<div class="ttc" id="class_user_books_widget_html_ad248f782ffd541b2fabad580bebd08b9"><div class="ttname"><a href="class_user_books_widget.html#ad248f782ffd541b2fabad580bebd08b9">UserBooksWidget::getReserveBookRequestResult</a></div><div class="ttdeci">void getReserveBookRequestResult(bool ok)</div><div class="ttdef"><b>Definition:</b> UserBooksWidget.cpp:203</div></div>
<div class="ttc" id="class_book_html"><div class="ttname"><a href="class_book.html">Book</a></div><div class="ttdoc">Library book with author, ISBN and status. </div><div class="ttdef"><b>Definition:</b> Book.h:28</div></div>
<div class="ttc" id="class_user_books_widget_html_a5df9e11a3816c8d47773ac840208a975"><div class="ttname"><a href="class_user_books_widget.html#a5df9e11a3816c8d47773ac840208a975">UserBooksWidget::getWishlistRequestResult</a></div><div class="ttdeci">void getWishlistRequestResult(std::vector&lt; Book &gt; books)</div><div class="ttdef"><b>Definition:</b> UserBooksWidget.cpp:101</div></div>
<div class="ttc" id="class_user_books_widget_html_a9598ae508fd09bff774ece9ac1d0c9b9"><div class="ttname"><a href="class_user_books_widget.html#a9598ae508fd09bff774ece9ac1d0c9b9">UserBooksWidget::sendDetailsAboutBookRequest</a></div><div class="ttdeci">void sendDetailsAboutBookRequest(QString isbn)</div></div>
<div class="ttc" id="class_user_books_widget_html_a2056ae2f953de01d7121958ebbdf213a"><div class="ttname"><a href="class_user_books_widget.html#a2056ae2f953de01d7121958ebbdf213a">UserBooksWidget::openBookDetailsDialog</a></div><div class="ttdeci">void openBookDetailsDialog(QListWidgetItem *i)</div><div class="ttdef"><b>Definition:</b> UserBooksWidget.cpp:147</div></div>
<div class="ttc" id="class_user_books_widget_html_a2e3616dce32fae1ae33d045f8dcae96b"><div class="ttname"><a href="class_user_books_widget.html#a2e3616dce32fae1ae33d045f8dcae96b">UserBooksWidget::getAddBookToWishlistRequestResult</a></div><div class="ttdeci">void getAddBookToWishlistRequestResult(bool ok)</div><div class="ttdef"><b>Definition:</b> UserBooksWidget.cpp:105</div></div>
<div class="ttc" id="class_user_books_widget_html_ae798d9d61bfb6aa9f59f91ed7d9dcf5f"><div class="ttname"><a href="class_user_books_widget.html#ae798d9d61bfb6aa9f59f91ed7d9dcf5f">UserBooksWidget::sendWishlistRequest</a></div><div class="ttdeci">void sendWishlistRequest()</div></div>
<div class="ttc" id="class_user_books_widget_html_a72b1774daba211095958aa58d6741610"><div class="ttname"><a href="class_user_books_widget.html#a72b1774daba211095958aa58d6741610">UserBooksWidget::sendAddBookToWishlistRequest</a></div><div class="ttdeci">void sendAddBookToWishlistRequest(Book book)</div></div>
<div class="ttc" id="class_user_books_widget_html_aa4c58e7b93127fc7c81b52139c6f6cdc"><div class="ttname"><a href="class_user_books_widget.html#aa4c58e7b93127fc7c81b52139c6f6cdc">UserBooksWidget::getRemoveBookFromWishlistRequestResult</a></div><div class="ttdeci">void getRemoveBookFromWishlistRequestResult(bool ok)</div><div class="ttdef"><b>Definition:</b> UserBooksWidget.cpp:113</div></div>
<div class="ttc" id="class_user_books_widget_html_ad560dbd0a8943e6a691c400259e05da1"><div class="ttname"><a href="class_user_books_widget.html#ad560dbd0a8943e6a691c400259e05da1">UserBooksWidget::UserBooksWidget</a></div><div class="ttdeci">UserBooksWidget(QWidget *parent=0)</div><div class="ttdef"><b>Definition:</b> UserBooksWidget.cpp:24</div></div>
<div class="ttc" id="class_user_books_widget_html_a3b5920c41a062c9d61196a8208393df3"><div class="ttname"><a href="class_user_books_widget.html#a3b5920c41a062c9d61196a8208393df3">UserBooksWidget::sendDetailsAboutBookRequestResult</a></div><div class="ttdeci">void sendDetailsAboutBookRequestResult(Book book, bool isReservedByUser, bool isInUserWishlist)</div></div>
<div class="ttc" id="class_user_books_widget_html_abcca830f4b93a8041e341bd4c968bc81"><div class="ttname"><a href="class_user_books_widget.html#abcca830f4b93a8041e341bd4c968bc81">UserBooksWidget::searchBook</a></div><div class="ttdeci">void searchBook()</div><div class="ttdef"><b>Definition:</b> UserBooksWidget.cpp:143</div></div>
<div class="ttc" id="class_user_books_widget_html_a9c40eb7f74e36ed66913746b961b6181"><div class="ttname"><a href="class_user_books_widget.html#a9c40eb7f74e36ed66913746b961b6181">UserBooksWidget::getLoansRequestResult</a></div><div class="ttdeci">void getLoansRequestResult(std::vector&lt; Book &gt; books)</div><div class="ttdef"><b>Definition:</b> UserBooksWidget.cpp:188</div></div>
<div class="ttc" id="class_user_books_widget_html_a13b44bb3472a24a6e48a95da1c6f23ec"><div class="ttname"><a href="class_user_books_widget.html#a13b44bb3472a24a6e48a95da1c6f23ec">UserBooksWidget::sendReturnBookRequestResult</a></div><div class="ttdeci">void sendReturnBookRequestResult(bool ok)</div></div>
<div class="ttc" id="class_user_books_widget_html_adb164b67074c2247546e4412a3a9e458"><div class="ttname"><a href="class_user_books_widget.html#adb164b67074c2247546e4412a3a9e458">UserBooksWidget::sendLoansRequest</a></div><div class="ttdeci">void sendLoansRequest()</div></div>
<div class="ttc" id="class_user_books_widget_html_a498738f7818ead6f90289f43e2fba110"><div class="ttname"><a href="class_user_books_widget.html#a498738f7818ead6f90289f43e2fba110">UserBooksWidget::sendRemoveBookFromWishlistRequestResult</a></div><div class="ttdeci">void sendRemoveBookFromWishlistRequestResult(bool ok)</div></div>
<div class="ttc" id="class_user_books_widget_html_a032103cfe69258a9b14b274738916799"><div class="ttname"><a href="class_user_books_widget.html#a032103cfe69258a9b14b274738916799">UserBooksWidget::sendReturnBookRequest</a></div><div class="ttdeci">void sendReturnBookRequest(Book book)</div></div>
<div class="ttc" id="class_user_books_widget_html"><div class="ttname"><a href="class_user_books_widget.html">UserBooksWidget</a></div><div class="ttdef"><b>Definition:</b> UserBooksWidget.h:42</div></div>
<div class="ttc" id="class_user_books_widget_html_a23fb6ce0abc52a2c585aec974e29afe5"><div class="ttname"><a href="class_user_books_widget.html#a23fb6ce0abc52a2c585aec974e29afe5">UserBooksWidget::sendReserveBookRequest</a></div><div class="ttdeci">void sendReserveBookRequest(Book book)</div></div>
<div class="ttc" id="class_user_books_widget_html_a2ec494173d4e884427c92fb819470134"><div class="ttname"><a href="class_user_books_widget.html#a2ec494173d4e884427c92fb819470134">UserBooksWidget::sendSearchBookRequest</a></div><div class="ttdeci">void sendSearchBookRequest(QString id, QString title)</div></div>
<div class="ttc" id="class_user_books_widget_html_ae9acd4f6fba02ded1213e0b7573a43df"><div class="ttname"><a href="class_user_books_widget.html#ae9acd4f6fba02ded1213e0b7573a43df">UserBooksWidget::sendReserveBookRequestResult</a></div><div class="ttdeci">void sendReserveBookRequestResult(bool ok)</div></div>
<div class="ttc" id="class_book_manager_dialog_html"><div class="ttname"><a href="class_book_manager_dialog.html">BookManagerDialog</a></div><div class="ttdef"><b>Definition:</b> BookManagerDialog.h:31</div></div>
<div class="ttc" id="class_user_books_widget_html_a816b477d3c34d37101521d7a9974698a"><div class="ttname"><a href="class_user_books_widget.html#a816b477d3c34d37101521d7a9974698a">UserBooksWidget::sendAddBookToWishlistRequestResult</a></div><div class="ttdeci">void sendAddBookToWishlistRequestResult(bool ok)</div></div>
<div class="ttc" id="class_user_books_widget_html_a29a91260696bb515d9ea5e86298c97ee"><div class="ttname"><a href="class_user_books_widget.html#a29a91260696bb515d9ea5e86298c97ee">UserBooksWidget::getSearchBookRequestResult</a></div><div class="ttdeci">void getSearchBookRequestResult(std::vector&lt; Book &gt; books)</div><div class="ttdef"><b>Definition:</b> UserBooksWidget.cpp:85</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_11bc0974ce736ce9a6fadebbeb7a8314.html">gui</a></li><li class="navelem"><a class="el" href="dir_3c1d2ce32bc4ecd50a176ae39486df30.html">widgets</a></li><li class="navelem"><a class="el" href="dir_6d387b0dea2c6b8c0d241e7de360bda0.html">UserBooksWidget</a></li><li class="navelem"><b>UserBooksWidget.h</b></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
